@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
/*
--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

:root {
  --color-1: #0f1016;
  --color-bgr-light: #097fa3;
  --color-bgr-dark: #0537ff;
  --text-color-menu: #ffffcc;
  --text-color-main: #333;
  --text-color-dark: #222;
  --text-color-light: #fff;
  --text-color-heading: #002099;
  --text-color-logo: #fff22f;
  --accent-color: #006aff;
  --border-color-top: #fff22f;

  --pub-card-bg: #f0f0f0;
  --pub-card-bg-lt: #fff;
  --pub-card-shadow: rgba(0, 0, 0, 0.1);
  --pub-card-border: #ccc;
  --pub-card-title: #002099;
  --text-color-pub: #333;
  --text-color-alert: #d9534f;

  --pub-card-width: 90%;

  /* font sizes */
  /* H1 32px-48px (2rem-3rem)
   line height 1.2 -1.3 */
  --txt-sz-h1: clamp(1.6rem, 3vw + 1rem, 2.6rem);
  --line-height-h1: 1.3;
  /* H2 24px-36px (1.5rem-2.25rem)
   line height 1.25 -1.35 */
  --txt-sz-h2: clamp(1.3rem, 3vw + 1rem, 2.25rem);
  --line-height-h2: 1.35;
  /* H3 18px-30px (1.125rem-1.875rem)
   line height 1.3 -1.4 */
  --txt-sz-h3: clamp(1.125rem, 2.5vw + 0.5rem, 1.6rem);
  --line-height-h3: 1.4;
  /* Main text 16px-20px (1rem-1.25rem)
   line height 1.4 -1.6 */
  --txt-sz-main: clamp(1rem, 2vw + 0.5rem, 1.25rem);
  --line-height-main: 1.5;

  --txt-sz-panel-title: clamp(1.2rem, 2vw + 0.5rem, 1.8rem);
  --line-height-panel-title: 1.4;

  /* Website max width */
  --max-width: 100rem;
}

* {
  margin: 0;
  padding: 0;
}
html {
  font-size: 100%;
  font-family: "Raleway", "Segoe UI", Tahoma, sans-serif;
  /* font-family:
    Poppins,
    Segoe UI,
    Tahoma,
    sans-serif; */
}

h1 {
  font-size: var(--txt-sz-h1);
  line-height: var(--line-height-h1);
  color: var(--text-color-heading);
  margin-bottom: 2.5rem;
  margin-top: 1.5rem;
}

h2 {
  font-size: var(--txt-sz-h2);
  line-height: var(--line-height-h2);
  color: var(--text-color-heading);
  margin-bottom: 2rem;
}

h3 {
  font-size: var(--txt-sz-h3);
  line-height: var(--line-height-h3);
  color: var(--text-color-heading);
  margin-bottom: 1rem;
}

body {
  font-size: var(--txt-sz-main);
  line-height: var(--line-height-main);
  color: var(--text-color-main);
  max-width: var(--max-width);
  margin: 0 auto;
  min-height: 100vh;
  min-height: 100dvh;
  display: grid;
  grid-template-rows: auto 1fr auto;
}

#here {
  background-color: var(--accent-color);
  /* text-decoration: underline; */
}

nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  height: 60px;
  background-color: var(--color-bgr-dark);
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.links-container {
  height: 100%;
  max-width: var(--max-width);
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
}
nav a {
  height: 100%;
  padding: 0 20px;
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--text-color-menu);
}
nav a:hover {
  background-color: var(--accent-color);
}
nav .home-link {
  margin-right: auto;
}
nav svg {
  fill: var(--text-color-menu);
}
#sidebar-active {
  display: none;
}
.open-sidebar-button,
.close-sidebar-button {
  display: none;
}
@media (max-width: 52em) {
  .links-container {
    flex-direction: column;
    align-items: flex-start;

    position: fixed;
    top: 0;
    right: -100%;
    z-index: 10;
    width: 300px;

    background-color: var(--color-bgr-dark);
    box-shadow: -5px 0 5px rgba(0, 0, 0, 0.25);
    transition: 0.75s ease-out;
  }
  nav a {
    box-sizing: border-box;
    height: auto;
    width: 100%;
    padding: 20px 30px;
    justify-content: flex-start;
  }
  .open-sidebar-button,
  .close-sidebar-button {
    padding: 20px;
    display: block;
  }
  #sidebar-active:checked ~ .links-container {
    right: 0;
  }
  #sidebar-active:checked ~ #overlay {
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9;
  }
}

.logo-container {
  border-top: solid 5px var(--border-color-top);
  border-bottom: solid 5px var(--color-bgr-dark);
  background-color: var(--color-bgr-light);
  background-image: linear-gradient(
    0deg,
    rgba(215, 217, 61, 1) 0%,
    var(--color-bgr-light) 20%,
    var(--color-bgr-dark) 67%
  );
  margin-top: 60px;
}

.logo-inner-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.5rem 1.5rem 0 1.5rem;
}

.logo-text {
  font-size: 4.8rem;
  color: var(--text-color-menu);
  text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.5);
  padding-right: 2rem;
}
.logogul {
  font-size: 4.8rem;
  color: var(--text-color-logo);
  text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.5);
  padding-left: 2rem;
}

.logo-image {
  width: 10%;
  border-radius: 40%;
}

.logo-bottom-container {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding-right: 2rem;
  padding-bottom: 1rem;
  color: var(--text-color-light);
  margin-top: -1rem;
}
.christer {
  font-size: 1.25rem;
  font-weight: 500;
}

.main-content {
  padding: 2.8rem 1.8rem 2.8rem 2.8rem;
}

.main-content p {
  margin-bottom: 1rem;
  /* padding-left: 1rem; */
}

.grid-main {
  display: grid;
  grid-template-columns: 3fr 1fr;
  gap: 2rem;
}

.ansvarsfri {
  margin-bottom: 1.5rem;
  padding-left: 1rem;
}

.signature {
  margin-top: 2rem;
}

.aside-nytt {
  border-top: 5px solid var(--color-bgr-dark);
  padding: 1.5rem 0.5rem 0.5rem 0.5rem;
  border-bottom: 5px solid var(--color-bgr-dark);
  /* align-self: start; */
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.nytt-item {
  display: flex;
  flex-direction: column;
}

.heading-teritary {
  font-size: 1.8rem;
  color: var(--text-color-heading);
}

.footer {
  background-color: var(--color-bgr-dark);
  color: var(--text-color-menu);
  display: flex;
  justify-content: space-around;
  padding: 1rem 0;
}

.footer a {
  color: var(--text-color-menu);
  text-decoration: none;
}

footer a:hover {
  text-decoration: underline;
}

/* Publikationer */
.pub-container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
  padding: 2rem 0;
}

.pub-card {
  background-color: var(--pub-card-bg);
  border: 1px solid var(--pub-card-border);
  border-radius: 8px;
  padding: 1rem;
  width: var(--pub-card-width);
  box-sizing: border-box;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.pub-card h3 {
  margin-top: 0;
}

.pub-card img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
}

.pub-card-top {
  display: flex;
  justify-content: center;
  padding: 1rem 0;
  margin-bottom: 3rem;
}

.pub-card-top p {
  word-break: break-word;
  color: var(--pub-card-title);
  font-size: var(--txt-sz-panel-title);
  line-height: var(--line-height-panel-title);
  font-weight: 600;
  /* margin: auto; */
}

.pub-card-middle {
  background-color: var(--pub-card-bg-lt);
  padding: 2rem 0 1rem 0;
  display: flex;
  justify-content: center;
}

.pub-card-bottom {
  display: flex;
  justify-content: center;
  padding-top: 1rem;
}

.artikel-list {
  margin-top: 1rem;
  margin-bottom: 2rem;
}

/* Form */

.form-group {
  margin-bottom: 1rem;
}
.form-control {
  width: max-content;
  padding: 0.5rem;
  font-size: 1rem;
}

.contact-form .form-control,
.login-form .form-control,
.register-form .form-control {
  width: 100%;
}

/* Form Buttons */

.handbok-button,
.btn-info {
  padding: 0.5rem 1rem;
  font-size: 1rem;
  background-color: var(--accent-color);
  color: var(--text-color-light);
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
.handbok-button:hover {
  background-color: var(--color-bgr-dark);
}

.btn-info:hover {
  background-color: var(--color-bgr-dark);
}

/* Panel */

.panel {
  border: 1px solid var(--pub-card-border);
  border-radius: 4px;
  background-color: var(--pub-card-bg-lt);
  margin-bottom: 1rem;
  box-shadow: 0 2px 5px var(--pub-card-shadow);
}
.panel-heading {
  background-color: var(--pub-card-bg);
  padding: 3rem 1rem;
  border-bottom: 1px solid var(--pub-card-border);
  padding-right: 0;
  margin-right: 0;
}

.panel-heading p {
  word-break: break-word;
  color: var(--pub-card-title);
  font-size: var(--txt-sz-panel-title);
  line-height: var(--line-height-panel-title);
  font-weight: 600;
  margin: auto;
  margin-right: 0.5rem;
}

.panel-body {
  padding: 1rem;
}

.bild {
  display: flex;
  justify-content: center;
  margin-bottom: 1rem;
}

.panel-footer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  background-color: var(--pub-card-bg);
  padding: 0.5rem 1rem;
  border-top: 1px solid var(--pub-card-border);
}

.section-artiklar h4 {
  margin-top: 2rem;
  margin-bottom: 1rem;
}

.section-artiklar p {
  margin-bottom: 1rem;
}
.section-artiklar form {
  margin-top: 1rem;
  margin-bottom: 2rem;
}

.section-search form {
  margin-bottom: 3rem;
}

.section-search .vald-result {
  display: inline-block;
  margin-bottom: 1rem;
}

/* Kontakt Form / Login Form */

.contact-form,
.login-form,
.register-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  max-width: 80%;
}

.contact-form .form-group,
.login-form .form-group,
.register-form .form-group {
  display: flex;
  flex-direction: column;
}

.contact-form .form-control,
.login-form .form-control,
.register-form .form-control {
  padding: 0.5rem;
  font-size: 1rem;
}

.contact-form .btn,
.login-form .btn,
.register-form .btn,
.btn-action {
  padding: 0.5rem 1rem;
  font-size: 1rem;
  background-color: var(--accent-color);
  color: var(--text-color-light);
  border: none;
  border-radius: 4px;
  cursor: pointer;
  width: fit-content;
}

.contact-form label,
.login-form label,
.register-form label {
  font-weight: 600;
  margin-bottom: 0.5rem;
}

/* .contact-form .submit-button:disabled {
  background-color: var(--pub-card-border);
  cursor: not-allowed;
} */

.contact-form .btn:hover,
.login-form .btn:hover,
.register-form .btn:hover,
.btn-action:hover {
  background-color: var(--color-bgr-dark);
}

.search-form {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  align-items: flex-start;
}

input[name="search"] {
  field-sizing: content;
  min-width: 20rem;
  max-width: 80%;
}

.btn-action {
  border-radius: 10px;
}

.alert {
  padding: 0.75rem 1rem;
  border-radius: 4px;
  color: var(--text-color-alert);
  font-weight: 600;
}

/* Redaktör för Juristguiden */

.flt-right {
  float: right;
  margin-left: 1rem;
  border-radius: 50%;
}

.swish-code {
  float: right;
  margin-left: 1rem;
  margin-top: 3rem;
}

.section-stod h3 {
  margin-top: 3rem;
  margin-bottom: 1rem;
}
/* ********************* */
/* Login Form And Admin */
/* ******************* */

.section-login {
  max-width: 75rem;
  margin: 3rem;
  padding: 2rem;
}

.section-login p:first-of-type {
  margin-bottom: 2rem;
}

.container-admin-start {
  margin-top: 3.8rem;
}

.main-admin-start {
  width: 100%;
  margin: 0 auto;
  padding: 3rem;
}

.main-admin-start p {
  margin-bottom: 1rem;
  color: var(--text-color-heading);
  font-size: 1.2rem;
}

.container-admin-top {
  margin-bottom: 4rem;
}

.navbar-admin-top {
  width: 100%;
  z-index: 100;
  height: 60px;
  background-color: var(--color-bgr-dark);
  display: flex;
  justify-content: center;
  align-items: center;
}

.navbar-admin-top .nav {
  list-style: none;
  display: flex;
  gap: 1rem;
  justify-content: space-between;
  align-items: center;
}

.main-admin-content {
  padding: 2rem;
}

table,
tbody {
  display: block;
  width: 100%;
}

thead {
  display: none;
}

tr {
  display: block;
  margin-bottom: 1rem;
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 1rem;
}

td {
  display: grid;
  grid-template-columns: 1fr 8fr;
  padding: 0.5rem 0;
  border-bottom: 1px solid #eee;
}
td:last-child {
  border-bottom: none;
}
td::before {
  content: attr(data-label);
  font-weight: 600;
  color: var(--text-color-heading);
}

.btn-group-admin {
  display: flex;
  gap: 1rem;
  margin-bottom: 2rem;
  font-size: 1.28rem;
  font-weight: 600;
}

.btn-group-admin a {
  padding: 0.5rem 1rem;
  background-color: var(--accent-color);
  color: var(--text-color-light);
  border: none;
  border-radius: 14px;
  text-decoration: none;
}
.btn-group-admin a:hover {
  background-color: var(--color-bgr-dark);
}

.form-artikel-kategori {
  display: flex;
  gap: 1rem;
  align-items: center;
  margin-bottom: 1rem;
  margin-top: 1rem;
}

.multi-column-table-body {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
  gap: 1rem;
}

.multi-column-table-body td {
  grid-template-columns: 1fr 2fr;
}

/* ************* */
/* insert  form pages */
/* ************* */

.error,
.warning {
  color: var(--text-color-alert);
  font-weight: 600;
}

.btn-reset {
  padding: 0.5rem 1rem;
  font-size: 1rem;
  background-color: rgba(133, 131, 131, 0.8);
  color: var(--text-color-light);
  border: none;
  border-radius: 10px;
  cursor: pointer;
}
.btn-reset:hover {
  background-color: var(--color-bgr-dark);
}

.form-container h1 {
  margin-bottom: 1.5em;
}

.form-container {
  margin: 2em 1em;
}

.form-container label,
.form-container input,
.form-container textarea {
  display: block;
}

.form-container label {
  font-weight: 600;
  padding-bottom: 0.5em;
}

.form-container input[type="checkbox"],
.form-container input[type="radio"] {
  transform: scale(1.5);
}

.form-container input[type="text"],
.form-container input[type="password"],
.form-container textarea {
  width: 50%;
}

.form-container input,
.form-container input[type="submit"] {
  padding: 0.5em;
  border-radius: 6px;
}

.form-container input[type="submit"] {
  width: 15em;
  margin: 2em 1em;
  cursor: pointer;
  background-color: var(--accent-color);
  color: var(--text-color-light);
}

.form-container input[type="submit"]:hover {
  background-color: var(--color-bgr-dark);
}

.form-container .form-group {
  margin-bottom: 2rem;
}

.form-container p.error {
  margin-bottom: 1rem;
}

.article-errror {
  display: grid;
  grid-template-columns: 1fr;
  place-items: center;
}

.article-error h1 {
  font-size: 3rem;
  color: var(--text-color-heading);
}

.error-section {
  display: flex;
  flex-direction: column;
  font-weight: 600;
  border-top: 5px solid var(--color-bgr-dark);
  border-bottom: 5px solid var(--color-bgr-dark);
  padding: 3em;
}

.td-action a {
  font-size: 1rem;
  padding: 0.3rem 1rem;
  background-color: var(--accent-color);
  color: var(--text-color-light);
  border: none;
  border-radius: 14px;
  text-decoration: none;
  width: fit-content;
}

.td-action a:hover {
  background-color: var(--color-bgr-dark);
}

.cat-checkbox {
  margin-top: 2em;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 4em;
  color: var(--text-color-heading);
}

.cat-checkbox label {
  font-weight: 600;
  margin-top: 1rem;
}

.cat-checkbox legend {
  font-weight: 600;
  color: var(--text-color-heading);
  margin-bottom: 1rem;
}

.page-checkbox {
  margin-top: 2em;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 4em;
}

/* LIST VIEW KATEGORIER */
.cat-list-wrapper {
  text-align: center;
}

.cat-list {
  border: 2px solid var(--text-clr-blue);
  padding: 2em;
  margin: 1em auto;
}

.cat-list th,
.cat-list td {
  padding: 0.5em;
  text-align: left;
}

.cat-list tr:nth-child(even) {
  background-color: var(--bg-clr-gray);
}

.select {
  margin: 2em 0;
}

/* MMMMMMMMMMMMMM */
/* Media Queries */
/* MMMMMMMMMMMMM */

@media (max-width: 70em) {
  h1 {
    font-size: 2.4rem;
  }
  h2 {
    font-size: 2rem;
  }
  h3 {
    font-size: 1.6rem;
  }
}

@media (max-width: 65em) {
  .grid-main {
    grid-template-columns: 1fr;
  }
  .h1 {
    font-size: 2.2rem;
  }
  h2 {
    font-size: 1.8rem;
  }
  h3 {
    font-size: 1.4rem;
  }
  .aside-nytt {
    /* border-top: none; */
    border-bottom: none;
    padding: 1rem 0 0 0;
    margin-top: 2rem;
  }
}

@media (max-width: 52em) {
  .logo-text,
  .logogul {
    font-size: 3.2rem;
  }
  .logo-bottom-container {
    padding-right: 1rem;
  }
  .logo-image {
    width: 10%;
  }
  .christer {
    font-size: 1rem;
    margin-top: 0.5rem;
  }
  .jurist {
    font-size: 0.8rem;
  }
  .pub-card {
    width: 100%;
  }
  .main-content {
    padding: 2rem 1rem 2rem 1.5rem;
  }
}

@media (max-width: 48em) {
  html {
    font-size: 90%;
    color: var(--text-color-dark);
  }
  html {
    font-size: 90%;
  }
  .logo-image {
    width: 8%;
  }
  h1 {
    font-size: 1.8rem;
  }
  h2 {
    font-size: 1.4rem;
  }
  h3 {
    font-size: 1.2rem;
  }
  .aside-nytt {
    padding: 1rem 0 0 0;
    margin-top: 2rem;
    font-size: inherit;
  }
  nav a {
    font-size: 1.2rem;
  }
  .logo-image {
    width: 10%;
  }
  .footer {
    flex-direction: column;
    align-items: center;
    gap: 1rem;
  }
}

@media (max-width: 29em) {
  html {
    font-size: 90%;
    color: var(--text-color-dark);
  }
  .logo-text,
  .logogul {
    font-size: 2.6rem;
  }
  .logo-image {
    width: 10%;
  }
  .logo-bottom-container {
    padding-right: 0.5rem;
  }
  .christer {
    font-size: 0.8rem;
    margin-top: 0.5rem;
  }
  .jurist {
    font-size: 0.5rem;
  }
  h1 {
    font-size: 1.6rem;
  }
  h2 {
    font-size: 1.3rem;
  }
  h3 {
    font-size: 1.2rem;
  }
  .aside-nytt {
    padding: 1rem 0 0 0;
    margin-top: 2rem;
    font-size: inherit;
  }
  nav a {
    font-size: 1.2rem;
  }
}

@media (max-width: 24em) {
  html {
    font-size: 80%;
    color: var(--text-color-dark);
  }
  .logo-text,
  .logogul {
    font-size: 2.6rem;
  }

  .logo-image {
    width: 10%;
  }
  .christer {
    font-size: 0.8rem;
  }
  .jurist {
    font-size: 0.5rem;
  }
  .aside-nytt {
    padding: 1rem 0 0 0;
    margin-top: 2rem;
    font-size: inherit;
  }
  nav a {
    font-size: 1.2rem;
  }
}
